# Update Instrument

Update an existing instrument.

Endpoint: PUT /instruments/{instrument_id}
Version: 0.1.0

## Path parameters:

  - `instrument_id` (string, required)

## Header parameters:

  - `X-API-Key` (any)

## Request fields (application/json):

  - `description` (any)

## Response 200 fields (application/json):

  - `org_id` (string, required)
    ID of the organization this instrument belongs to

  - `customer_id` (string, required)
    ID of the customer that owns this instrument

  - `type` (string, required)
    Type of instrument (card, bank_account, other)
    Enum: "mx_direct_debit_card", "mx_clabe"

  - `description` (any)
    Description of the instrument

  - `status` (string)
    Current status of the instrument
    Enum: "active", "inactive", "verification_in_progress", "errored"

  - `mx_direct_debit_card` (any)
    Card instrument for Mexico Direct Debit

  - `mx_clabe` (any)
    CLABE instrument for Mexico

  - `currency` (any)
    ISO 4217 currency code

  - `ownership_verification_result` (any)
    Result of ownership verification

  - `ownership_verification_result_at` (any)
    When ownership verification was completed

  - `id` (string, required)

  - `created_at` (string, required)

  - `updated_at` (any)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


